Package org.zkoss.stateless.sul

## Interface ISpace

- All Superinterfaces:
    `IAnyGroup<ISpace>`, `IComponent<ISpace>`, `IHtmlBasedComponent<ISpace>`, `ISeparatorBase<ISpace>`, `IXulElement<ISpace>`

      public interface ISpace
      extends ISeparatorBase<ISpace>, IAnyGroup<ISpace>

  Immutable `Space` component

  Space is a `ISeparator` with the orient default to `"vertical"`.

  Author:
    katherine
  See Also:
    `Space`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ISpace.Builder` | Builds instances of type `ISpace`.
    `static class` | `ISpace.Updater` | Builds an updater of type `ISpace` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

    - ### Nested classes/interfaces inherited from interface org.zkoss.stateless.sul.ISeparatorBase

      `ISeparatorBase.Orient`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ISpace` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getOrient()` | Returns the orient.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static ISpace` | `ofHeight​(java.lang.String height)` | Returns the instance with the given height.
    `static ISpace` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static ISpace` | `ofOrient​(ISeparatorBase.Orient orient)` | Returns the instance with the given orient.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ISeparatorBase

      `getSpacing, isBar, withBar, withOrient, withOrient, withSpacing`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final ISpace DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.wgt.Space"`

      Specified by:
        `getWidgetClass` in interface `IComponent<ISpace>`

    - #### getOrient

          default java.lang.String getOrient()

      Returns the orient.

      Default: `"vertical"`.

      Specified by:
        `getOrient` in interface `ISeparatorBase<ISpace>`

    - #### ofHeight

          static ISpace ofHeight​(java.lang.String height)

      Returns the instance with the given height.
      Parameters:
        `height` - The height of this component.

    - #### ofOrient

          static ISpace ofOrient​(ISeparatorBase.Orient orient)

      Returns the instance with the given orient.
      Parameters:
        `orient` - The separator orient

    - #### ofId

          static ISpace ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component